From f39091c7fe17d3420cd898c3430ba12d3d9a1cbf Mon Sep 17 00:00:00 2001
From: santhosh hassan <sahassan@google.com>
Date: Sun, 17 Feb 2019 22:02:43 -0800
Subject: [PATCH 22/29] TEMP: NOT FOR REVIEW: google/mistral: Enable internal
 pullup on H1 interrupt

Required for supporting hardware reset mechanism, protects SOC from
voltage leak from H1.

BUG=None
TEST=Verified hardware reset mechanism for SOC reset.
BRANCH=None

Change-Id: I5d98737a3b4e6376fd1c7115c42e795bba3b56ef
Signed-off-by: Santhosh Hassan <sahassan@google.com>
---
 src/mainboard/google/mistral/bootblock.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/src/mainboard/google/mistral/bootblock.c b/src/mainboard/google/mistral/bootblock.c
index 6718d5215615..be7a71e63986 100644
--- a/src/mainboard/google/mistral/bootblock.c
+++ b/src/mainboard/google/mistral/bootblock.c
@@ -15,8 +15,9 @@
 
 #include <bootblock_common.h>
 #include <timestamp.h>
+#include "board.h"
 
 void bootblock_mainboard_init(void)
 {
-
+	gpio_input_pullup(GPIO_H1_AP_INT);
 }
-- 
The Qualcomm Innovation Center, Inc. is a member of the Code Aurora Forum,
a Linux Foundation Collaborative Project

